Affected QGIS version:3.4.0 Regression?: No
Pull Request or Patch supplied:No Resolution: fixed/implemented
Description

Qgis 3.4, a new profile with no plugins installed.

Start a new project.

Most of the Edit options are disabled except, weirdly, for "Add Rectangle From 3 Points". Every other Rectangle, Circle, etc creation

option is disabled.

So I select it, and I can draw rectangles on the canvas with no layers in the legend, and they appear as red lines. Oddly, subsequent

rectangles are connected from one corner of the previous to a corner of the other.

Related issues:

Related to QGIS Application - Bug report # 18141: [GUI] Disable edit tools wh... Closed 2018-02-19

Associated revisions

Revision ab3adc66 - 2019-01-25 09:00 AM - Alexander Bruy

[gui] enable deselect feature and create rectangle action only when

there is a vector layer in the project (fix #18141, #20333)

Revision 38051a95 - 2019-01-25 09:31 AM - Alexander Bruy

[gui] enable deselect feature and create rectangle action only when

there is a vector layer in the project (fix #18141, #20333)

(cherry picked from commit ab3adc663c37b3da589cf6bae56d733fcbc4feb3)

History

#1 - 2018-11-02 10:39 PM - Giovanni Manghi

- Category changed from Editing to Digitising

- Status changed from Open to Closed

Can't confirm here on Kubuntu 18.04 and qgis 3.4

#2 - 2018-11-02 10:39 PM - Giovanni Manghi

- Status changed from Closed to Feedback
#3 - 2018-11-03 12:13 PM - Andrea Giudiceandrea

EDIT: see #20333#note-6

I can partially confirm the issue on Windows 7 64 bit:

I see "Add Rectangle From 3 Points" tool enabled (in both the Shape Digitizing Toolbar and the Edit menu), but I can only began the drawing of a rectangle

without the possibility to end the draw.

/EDIT

I add that is also meaningless enabled (before opening a project or in project without layers) the "Deselect Features from All Layers" in the Attributes

Toolbar and in the Edit/Select menu (this behaviour is however also present in 2.18.23).

#4 - 2018-11-03 12:20 PM - Harrissou Santanna

- Related to Bug report #18141: [GUI] Disable edit tools when no layer is selected/available nor selected layer is in edit mode added

#5 - 2018-11-03 12:30 PM - Harrissou Santanna

@Andrea i don't have QGIS to test but i remember that finishing features with shape tools was not obvious to me when i first tested. You have to right-click

again to close the geometry (see #17701), not trying with left click. Maybe it's what prevents you to finish the feature?

#6 - 2018-11-03 02:47 PM - Andrea Giudiceandrea

Thank you Harrissou, you are right and I agree with your fr #17701!

So now I can fully confirm the issue reported by Barry Rowlingson

https://agiudiceandrea.github.io/QGIS340_01.GIF

#7 - 2019-01-25 09:00 AM - Alexander Bruy

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|ab3adc663c37b3da589cf6bae56d733fcbc4feb3.

#8 - 2019-01-25 09:31 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Assignee set to Alexander Bruy
